Enqueue team install for daemon(s)
Ask one or more daemons to install a team. Pass daemon_ids or realm_id. Daemons pick this up via poll.
POST
/
dispatch
/
install
Enqueue team install for daemon(s)
curl --request POST \
--url https://{host}/v1/dispatch/install \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"team_id": "team-uuid",
"daemon_ids": [
"daemon-1"
]
}
'import requests
url = "https://{host}/v1/dispatch/install"
payload = {
"team_id": "team-uuid",
"daemon_ids": ["daemon-1"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({team_id: 'team-uuid', daemon_ids: ['daemon-1']})
};
fetch('https://{host}/v1/dispatch/install', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"team_id": "<string>",
"results": [
{
"daemon_id": "<string>",
"request_id": "<string>",
"ok": true,
"error": "<string>"
}
]
}{
"ok": false,
"error": "<string>"
}Authorizations
Hub session JWT or user PAT (cliq_tok_…). PAT grants use domains + per-entity read|write|admin. Daemon tokens (cliq_dt_…) only on daemon enroll / heartbeat / poll.
Body
application/json
⌘I
Enqueue team install for daemon(s)
